Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::Result Class Reference

This class manages SQL result sets. More...

`#include <result.h>`

Inheritance diagram for mysqlpp::Result:

[legend]
Collaboration diagram for mysqlpp::Result:

[legend]
List of all members.

## Public Methods

| Result ()
| Default constructor.
| Result (MYSQL_RES *result, bool te=true)
| Fully initialize object.
| Result (const Result &other)
| Initialize object as a copy of another Result object.
virtual | ~Result ()
| Destroy result set.
const Row | fetch_row () const
| Wraps mysql_fetch_row() in MySQL C API.
my_ulonglong | num_rows () const
| Wraps mysql_num_rows() in MySQL C API.
void | data_seek (uint offset) const
| Wraps mysql_data_seek() in MySQL C API.
size_type | size () const
| Alias for num_rows(), only with different return type.
size_type | rows () const
| Alias for num_rows(), only with different return type.
const Row | at (size_type i) const
| Get the row with an offset of i.

## Detailed Description

This class manages SQL result sets.

Objects of this class are created to manage the result of "store" queries, where the result set is handed to the program as single block of row data. (The name comes from the MySQL C API function `mysql_store_result()` which creates these blocks of row data.)

This class is a random access container (in the STL sense) which is neither less-than comparable nor assignable. This container provides a reverse random-access iterator in addition to the normal forward one.

## Member Function Documentation

const Row mysqlpp::Result::fetch_row | ( |  | ) | const`[inline]`

| Wraps mysql_fetch_row() in MySQL C API. This is simply the const version of the same function in our parent class . Why this cannot actually be in our parent class is beyond me.

The documentation for this class was generated from the following file:

- result.h